GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "dbd69214-03c9-4208-b21a-3c2edcf6be68",
"private_locations": [
{
"private_location_id": "cc458b62-87d2-459c-a8fe-2b24095a15d4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "7cafc65f-2900-4930-8094-f60aa5f6abdf"
},
{
"private_location_id": "c7548072-5ada-44be-a9a0-055b8c0a3615",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "90456f78-9cb2-4d81-8187-c04eebfa3c26"
},
{
"private_location_id": "9ca9825c-914e-42b3-8ac7-4a781685dc4e",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b0c9fbfc-1bea-4f07-b4b2-bb84e9390a52"
}
]
},
{
"access_group": "cd5c933f-1022-478a-8d2d-ace21d1ecbaf",
"private_locations": [
{
"private_location_id": "9ca9825c-914e-42b3-8ac7-4a781685dc4e",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b0c9fbfc-1bea-4f07-b4b2-bb84e9390a52"
},
{
"private_location_id": "cc458b62-87d2-459c-a8fe-2b24095a15d4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "7cafc65f-2900-4930-8094-f60aa5f6abdf"
},
{
"private_location_id": "c7548072-5ada-44be-a9a0-055b8c0a3615",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "90456f78-9cb2-4d81-8187-c04eebfa3c26"
}
]
},
{
"access_group": "c2796ba6-1b71-4d6c-bef8-b54ca4993cd4",
"private_locations": [
{
"private_location_id": "9ca9825c-914e-42b3-8ac7-4a781685dc4e",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b0c9fbfc-1bea-4f07-b4b2-bb84e9390a52"
},
{
"private_location_id": "c7548072-5ada-44be-a9a0-055b8c0a3615",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "90456f78-9cb2-4d81-8187-c04eebfa3c26"
},
{
"private_location_id": "cc458b62-87d2-459c-a8fe-2b24095a15d4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "7cafc65f-2900-4930-8094-f60aa5f6abdf"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |